JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
AudioFormatWriter::ThreadedWriter::IncomingDataReceiver Class Referenceabstract
juce_audio_formats » format

Receiver for incoming data. More...

`#include <juce_AudioFormatWriter.h>`

Inheritance diagram for AudioFormatWriter::ThreadedWriter::IncomingDataReceiver:

## Public Member Functions
| IncomingDataReceiver ()=default
virtual | ~IncomingDataReceiver ()=default
virtual void | reset (int numChannels, double sampleRate, int64 totalSamplesInSource)=0
virtual void | addBlock (int64 sampleNumberInSource, const AudioBuffer< float > &newData, int startOffsetInBuffer, int numSamples)=0

## Detailed Description

Receiver for incoming data.

## Constructor & Destructor Documentation

## ◆ IncomingDataReceiver()

AudioFormatWriter::ThreadedWriter::IncomingDataReceiver::IncomingDataReceiver | ( |  | ) |
| default

## ◆ ~IncomingDataReceiver()

virtual AudioFormatWriter::ThreadedWriter::IncomingDataReceiver::~IncomingDataReceiver | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ reset()

virtual void AudioFormatWriter::ThreadedWriter::IncomingDataReceiver::reset | ( | int | numChannels,
|  | double | sampleRate,
|  | int64 | totalSamplesInSource )
| pure virtual

Implemented in AudioThumbnail.

## ◆ addBlock()

virtual void AudioFormatWriter::ThreadedWriter::IncomingDataReceiver::addBlock | ( | int64 | sampleNumberInSource,
|  | const AudioBuffer< float > & | newData,
|  | int | startOffsetInBuffer,
|  | int | numSamples )
| pure virtual

Implemented in AudioThumbnail.

The documentation for this class was generated from the following file:

- juce_AudioFormatWriter.h